### Method

# GExiv2 Metadata try_set_comment

deprecated: 0.16.0 since: 0.14.0

#### Declaration [src]

    void
    gexiv2_metadata_try_set_comment (
      GExiv2Metadata* self,
      const gchar* comment,
      GError** error
    )

#### Description [src]

This is a composite setter that will set a number of fields to the supplied value. See `gexiv2_metadata_get_comment()` for more information.

Available since: 0.14.0

Deprecated since: 0.16.0

Use `gexiv2_metadata_set_comment()` instead.

#### Parameters

`comment`

  Type: `const gchar*`

  Comment string to set. Must not be `NULL`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.